﻿//
// Copyright (c) Microsoft. All rights reserved.
// Licensed under the MIT license.
//
// Microsoft Cognitive Services (formerly Project Oxford): https://www.microsoft.com/cognitive-services
//
// Microsoft Cognitive Services (formerly Project Oxford) GitHub:
// https://github.com/Microsoft/ProjectOxford-ClientSDK
//
// Copyright (c) Microsoft Corporation
// All rights reserved.
//
// MIT License:
// Permission is hereby granted, free of charge, to any person obtaining
// a copy of this software and associated documentation files (the
// "Software"), to deal in the Software without restriction, including
// without limitation the rights to use, copy, modify, merge, publish,
// distribute, sublicense, and/or sell copies of the Software, and to
// permit persons to whom the Software is furnished to do so, subject to
// the following conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED ""AS IS"", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

namespace Microsoft.ProjectOxford.Vision.Contract
{
    /// <summary>
    /// The class hold language code.
    /// </summary>
    public static class LanguageCodes
    {
        /// <summary>
        /// The automatic detect.
        /// </summary>
        public const string AutoDetect = "unk";

        /// <summary>
        /// The chinese simplified.
        /// </summary>
        public const string ChineseSimplified = "zh-Hans";

        /// <summary>
        /// The chinese traditional.
        /// </summary>
        public const string ChineseTraditional = "zh-Hant";

        /// <summary>
        /// The czech.
        /// </summary>
        public const string Czech = "cs";

        /// <summary>
        /// The danish.
        /// </summary>
        public const string Danish = "da";

        /// <summary>
        /// The dutch.
        /// </summary>
        public const string Dutch = "nl";

        /// <summary>
        /// The english.
        /// </summary>
        public const string English = "en";

        /// <summary>
        /// The finnish.
        /// </summary>
        public const string Finnish = "fi";

        /// <summary>
        /// The french.
        /// </summary>
        public const string French = "fr";

        /// <summary>
        /// The german.
        /// </summary>
        public const string German = "de";

        /// <summary>
        /// The greek.
        /// </summary>
        public const string Greek = "el";

        /// <summary>
        /// The hungarian.
        /// </summary>
        public const string Hungarian = "hu";

        /// <summary>
        /// The italian.
        /// </summary>
        public const string Italian = "it";

        /// <summary>
        /// The japanese.
        /// </summary>
        public const string Japanese = "ja";

        /// <summary>
        /// The korean.
        /// </summary>
        public const string Korean = "ko";

        /// <summary>
        /// The norwegian.
        /// </summary>
        public const string Norwegian = "nb";

        /// <summary>
        /// The polish.
        /// </summary>
        public const string Polish = "pl";

        /// <summary>
        /// The portuguese.
        /// </summary>
        public const string Portuguese = "pt";

        /// <summary>
        /// The russian.
        /// </summary>
        public const string Russian = "ru";

        /// <summary>
        /// The spanish.
        /// </summary>
        public const string Spanish = "es";

        /// <summary>
        /// The swedish.
        /// </summary>
        public const string Swedish = "sv";

        /// <summary>
        /// The turkish.
        /// </summary>
        public const string Turkish = "tr";
    }
}
